Subject: RE: [External] : bug#48307: Feature request: provide default keybindings to change the font size in all windows

From: Drew Adams <[email-masked]>
Date: Mon, 10 May 2021 15:22:00 +0000

> > Why does it make sense to inhibit frame resizing in this case?  I
> > think it will make an ugly display: mode-line text will spill over,
> > lines will become wrapped, etc.
> 
> I think preventing frame resizing is the right move,

There's no single "right" move, here, IMO.  Which
behavior should be the _default_ one is a different
question.  But both behaviors should be possible -
each has its uses.

> at least in the context that I had in mind (screen sharing)

Exactly - see above.  That's a particular context.

> (Besides, that's what menu-set-font does;

Not very relevant, IMO, but OK.  Again, this is a
consideration, perhaps, for which behavior to choose
as default.

> and it's easy to resize the frame after scaling the font, no?)

No.  It's not so easy to get right, e.g. to keep the
same fit as before zooming (text scaling or frame
zooming).  And someone who wants that likely doesn't
want to have to do it manually each time.